Weird Error on /friendships/create "Birthdate is required"


#1

Sometimes the sending a request to /friendships/create would return the following:

{“errors”:[{“code”:409,“message”:“Birthdate is required”}]}


#2

Can you provide code or API calling examples? Any user IDs that this is specific to? Thank you.


#3

I found the issue. so it helps somebody else, here is the issue:
There are some accounts such as alcohol brands that are setup to validate age before you can follow them. If you send a request to “friendships/create” endpoint to such an account without setting your account Date of Birth first, that endpoint will return the following error:
{“errors”:[{“code”:409,“message”:“Birthdate is required”}]}
Hope that helps someone else. Thanks @andypiper


#4

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.